%define major     3
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:        Utility for converting between character sets
Name:           recode
Version:        3.7.12
Release:        %mkrel 1
Group:          Text tools
License:        GPLv3+
URL:            https://github.com/rrthomas/recode
Source0:        https://github.com/rrthomas/recode/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  flex
BuildRequires:  texinfo
BuildRequires:  gettext-devel

%description
The GNU recode utility converts files between various character sets.

%package -n     %{libname}
Summary:        Shared GNU recode library
Group:          System/Libraries

%description -n %{libname}
The GNU recode utility converts files between various character sets.

This package provides the shared recode library.

%package -n     %{develname}
Summary:        Development files for the %{libname} library
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for the %{libname} library.

%prep
%setup -q

%build

export CFLAGS="%{optflags} -D_REENTRANT -fPIC"
%configure2_5x --disable-static --without-included-gettext
%make_build

%install
rm -rf %buildroot
%make_install

%find_lang %{name}

# house cleansing
rm -f %{buildroot}%{_infodir}/dir

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%doc contrib
%{_libdir}/*.so
%{_includedir}/*.h


%changelog
* Fri Feb 18 2022 tex - 3.7.12-1pclos2022
- new version

* Sat Aug 07 2021 tex - 3.7.9-2pclos2021
- rebuild against updates

* Fri Aug 06 2021 tex - 3.7.9-1pclos2021
- 3.7.9
